<?php
/**
* @version $Id: mod_scorpion_morejs.php
* 1.3.0 06-04-2017 Edwin Witlox $
* @copyright   Copyright (C) 2005 - 2017 Scorpion Computers and Software, Inc. All rights reserved.
* @license     GNU General Public License version 2 or later; http://www.gnu.org/copyleft/gpl.html
* @email 	   info@ScorpionComputers.nl
*/
// no direct access
defined('_JEXEC') or die('Restricted access');

$doc = JFactory::getDocument();
$moreScript = $params->get( 'moreScript' );
$addScriptBlocked = $params->get( 'addScriptBlocked' );
$addScriptOnModule = $params->get( 'addScriptOnModule' );
$replaceCurly = $params->get( 'replaceCurly' );

// If the user has used curly brackets instead of hooks, replace these brackets for hooks. 
if($replaceCurly) {
	$moreScript = str_replace("{{", "<", $moreScript);
	$moreScript = str_replace("}}", ">", $moreScript);
}

// Enrich the correct code that needs to be implemented.
$scriptLink = '<SCRIPT type="text/javascript">' ."\n";
$scriptLink .= $moreScript;
$scriptLink .= "\n";
$scriptLink .= '</SCRIPT>' ."\n";


// If the script should be on the module then place it there.
if($addScriptOnModule) {
	echo $scriptLink;
} else {
	// Otherwise we are going to add it to the HEAD-section of our website.
	if($addScriptBlocked) {
		// Some components or module position block the addScriptDeclaration-function from the Joomla Framework
		// Therefor we can also add it as a tag.
		$doc->addCustomTag($scriptLink);
	} else {
		if($moreScript) {
			$doc->addScriptDeclaration( $moreScript );
		}
	}
}
?>
